class Upupup::Systems::StatusSystem < Sinatra::Base
  get "/" do
    slim :index, locals: { worker_status: Upupup::WorkerInstance.status }
  end

  post "/reload" do
    Upupup::WorkerInstance.reload!
    redirect "/"
  end

  extend DocMyRoutes::Annotatable
  register Sinatra::Namespace
  namespace "/api/v1" do
    summary "Get the current status of the enabled services"
    produces "application/json"
    status_codes [200]
    get "/status", provides: "json" do
      Upupup::WorkerInstance.status.to_json
    end

    summary "Reload the services file"
    produces "application/json"
    status_codes [200]
    post "/reload", provides: "json" do
      Upupup::WorkerInstance.reload!
      { "message": "ok" }.to_json
    end
  end
end
